This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 122257 - RFE: more ioctl names
RFE: more ioctl names
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 10:51 EDT by Dmitry V. Levin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.5.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-12 04:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch. (46.33 KB, patch)
2004-05-02 11:00 EDT, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2004-05-02 10:51:59 EDT
Few widely used ioctl types appear to be missing in linux/ioctlent.h
(just run ip, ifconfig, fbset, chvt, etc.).

I suggest to
+ patch ioctlent.sh to look for these ioctls;
+ patch ioctlsort.c to use ioctl names when sorting ioctl entries with
same code, and to print a note that program output is generated by
ioctlsort;
+ regenerate ioctlent.h :)
Comment 1 Dmitry V. Levin 2004-05-02 11:00:09 EDT
Created attachment 99884 [details]
Proposed patch.
Comment 2 Roland McGrath 2004-06-03 22:03:12 EDT
I've applied your patch upstream.
Comment 3 James Laska 2004-07-07 14:56:45 EDT
This patch appears to be incomplete...missing the addition of the
ioctls for powerpc and ia64 (see bug#122257) does ioctlent.sh need
modification?
Comment 4 Dmitry V. Levin 2004-07-10 11:45:58 EDT
Sorry, I do not patch architectures which I cannot test.
Comment 5 Roland McGrath 2004-07-12 04:20:16 EDT
These updates are in current rpms.
Comment 6 Jay Turner 2004-09-01 23:32:27 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html

Note You need to log in before you can comment on or make changes to this bug.